[algosdk](../README.md) / [Exports](../modules.md) / [modelsv2](../modules/modelsv2.md) / ApplicationKVStorage

# Class: ApplicationKVStorage

[modelsv2](../modules/modelsv2.md).ApplicationKVStorage

An application's global/local/box state.

## Hierarchy

- `default`

  ↳ **`ApplicationKVStorage`**

## Table of contents

### Constructors

- [constructor](modelsv2.ApplicationKVStorage.md#constructor)

### Properties

- [account](modelsv2.ApplicationKVStorage.md#account)
- [attribute\_map](modelsv2.ApplicationKVStorage.md#attribute_map)
- [kvs](modelsv2.ApplicationKVStorage.md#kvs)

### Methods

- [get\_obj\_for\_encoding](modelsv2.ApplicationKVStorage.md#get_obj_for_encoding)
- [from\_obj\_for\_encoding](modelsv2.ApplicationKVStorage.md#from_obj_for_encoding)

## Constructors

### constructor

• **new ApplicationKVStorage**(`«destructured»`)

Creates a new `ApplicationKVStorage` object.

#### Parameters

| Name | Type |
| :------ | :------ |
| `«destructured»` | `Object` |
| › `account?` | `string` |
| › `kvs` | [`AvmKeyValue`](modelsv2.AvmKeyValue.md)[] |

#### Overrides

BaseModel.constructor

#### Defined in

client/v2/algod/models/types.ts:1120

## Properties

### account

• `Optional` **account**: `string`

The address of the account associated with the local state.

#### Defined in

client/v2/algod/models/types.ts:1113

___

### attribute\_map

• **attribute\_map**: `Record`\<`string`, `string`\>

#### Inherited from

BaseModel.attribute\_map

#### Defined in

client/v2/basemodel.ts:56

___

### kvs

• **kvs**: [`AvmKeyValue`](modelsv2.AvmKeyValue.md)[]

Key-Value pairs representing application states.

#### Defined in

client/v2/algod/models/types.ts:1108

## Methods

### get\_obj\_for\_encoding

▸ **get_obj_for_encoding**(`binary?`): `Record`\<`string`, `any`\>

Get an object ready for encoding to either JSON or msgpack.

#### Parameters

| Name | Type | Default value | Description |
| :------ | :------ | :------ | :------ |
| `binary` | `boolean` | `false` | Use true to indicate that the encoding can handle raw binary objects (Uint8Arrays). Use false to indicate that raw binary objects should be converted to base64 strings. True should be used for objects that will be encoded with msgpack, and false should be used for objects that will be encoded with JSON. |

#### Returns

`Record`\<`string`, `any`\>

#### Inherited from

BaseModel.get\_obj\_for\_encoding

#### Defined in

client/v2/basemodel.ts:65

___

### from\_obj\_for\_encoding

▸ `Static` **from_obj_for_encoding**(`data`): [`ApplicationKVStorage`](modelsv2.ApplicationKVStorage.md)

#### Parameters

| Name | Type |
| :------ | :------ |
| `data` | `Record`\<`string`, `any`\> |

#### Returns

[`ApplicationKVStorage`](modelsv2.ApplicationKVStorage.md)

#### Defined in

client/v2/algod/models/types.ts:1132
